<?php
// +-----------------------------------------------------------------------+
// | Diaporama everywhere - a PWG Plugin                                   |
// | Copyright (C) 2008 Ruben ARNAUD - rub@phpwebgallery.net               |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH'))
{
  die('Hacking attempt!');
}

add_event_handler('loc_end_index', 'dew_loc_end_index');

function dew_loc_end_index()
{
  global $conf, $pictures, $template;

  if (isset($pictures) and ! empty($pictures))
  {
    // url of firt picture selection
    $picture = reset($pictures);
    $url_pict =
      duplicate_picture_url(
        array(
          'image_id' => $picture['id'],
          'image_file' => $picture['file']
        ),
        array('start')
      );

    //$link_url = add_url_params(duplicate_index_url(), array('slideshow' => $conf['slideshow_period']));
    $link_url = add_url_params($url_pict, array('slideshow' => $_GET['slideshow']));
    $link_url = 
      '<a href="'.$link_url.'" title="'.l10n('slideshow').'" rel="nofollow"><img src="'.get_root_url().get_themeconf('icon_dir').'/slideshow.png" class="button" alt="'.l10n('slideshow').'"></a>';
    $template->concat_var(
      'PLUGIN_INDEX_ACTIONS',
      '<li>'.$link_url.'</li>');
      
    if (isset($_GET['slideshow']))
    {
      //$url=add_url_params($url_pict, array('slideshow' => $_GET['slideshow']));
      $url_redirect=$url_pict.'&slideshow='.$_GET['slideshow'];

      redirect_http($url_redirect);
    }
  }
}

?>
